Update Object-Accessor to CPAN version 0.46
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Wed, 23 Jan 2013 14:59:03 +0000 (14:59 +0000)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Wed, 23 Jan 2013 14:59:03 +0000 (14:59 +0000)
  [DELTA]

  Changes for 0.46    Wed Jan 23 14:09:11 GMT  2013
  =================================================
  * Add deprecate usage to warn if module is loaded
    from corelib. Object::Accessor is leading core
    with v5.20.0, but will remain available from
    CPAN.

Porting/Maintainers.pl
cpan/Object-Accessor/lib/Object/Accessor.pm

index d8dee7e..bf3b9ee 100755 (executable)
@@ -1336,7 +1336,7 @@ use File::Glob qw(:case);
 
     'Object::Accessor' => {
         'MAINTAINER'   => 'kane',
-        'DISTRIBUTION' => 'BINGOS/Object-Accessor-0.44.tar.gz',
+        'DISTRIBUTION' => 'BINGOS/Object-Accessor-0.46.tar.gz',
         'FILES'        => q[cpan/Object-Accessor],
         'UPSTREAM'     => 'cpan',
     },
index 106e70e..9a93090 100644 (file)
@@ -1,4 +1,5 @@
 package Object::Accessor;
+use if $] > 5.017, 'deprecate';
 
 use strict;
 use Carp            qw[carp croak];
@@ -9,7 +10,7 @@ use Params::Check   qw[allow];
 ### disable string overloading for callbacks
 require overload;
 
-$VERSION    = '0.44';
+$VERSION    = '0.46';
 $FATAL      = 0;
 $DEBUG      = 0;